import React, { Fragment } from 'react'
import { ManuscriptFileSection } from 'pubsweet-component-faraday-ui'

import { withFilePreview, withFileDownload } from '../helpers'

const ManuscriptFileList = ({
  files: { manuscripts = [], coverLetter = [], supplementary = [] },
  previewFile,
  downloadFile,
  ...rest
}) => (
  <Fragment>
    <ManuscriptFileSection
      label="MAIN MANUSCRIPT"
      list={manuscripts}
      onDownload={downloadFile}
      onPreview={previewFile}
      {...rest}
    />
    <ManuscriptFileSection
      label="SUPPLEMENTARY FILES"
      list={supplementary}
      onDownload={downloadFile}
      onPreview={previewFile}
      {...rest}
    />
    <ManuscriptFileSection
      label="COVER LETTER"
      list={coverLetter}
      onDownload={downloadFile}
      onPreview={previewFile}
      {...rest}
    />
  </Fragment>
)

export default withFilePreview(withFileDownload(ManuscriptFileList))
